<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mca.sec.mapper.SecurityMapper">
	<select id="getUser" parameterType="String" resultType="loginUserVO" >
		SELECT
			USERID,
			PASSWORD,
			NAME,
			COMPANY,
			EMAIL,
			PHONENUM,
			REGDATE,
			AUTH
		FROM
			T_USER
		WHERE
			USERID= #{id}
	</select>
	
	<select id="getAuthoritiesUser" parameterType="int" resultType="securityRolesVO" >
		SELECT
			AUTH,
			CODE as AUTHORITY
		FROM
			T_USER_AUTH
		WHERE
			AUTH = #{auth}
	</select>
</mapper>